CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Katru reizi, kad jūs nododat argumentus calibre-debug, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

[OPCIJAS]

--add-simple-plugin
    Pievienot vienkāršu spraudni (tas ir spraudnis, kas sastāv tikai no .py datnes), norādot ceļu uz .py datni ar spraudņa kodu.

--command, -c
    Palaist Python kodu.

--debug-device-driver, -d
    Atkļūdot iekārtu noteikšanu

--default-programs
    (de)reģistrēt calibre no Windows noklusētajām programmām --default-programs = (register|unregister)

--diff
    Palaist calibre salīdzināšanas rīku. Piemēram: calibre-debug --diff file1 file2

--edit-book, -t
    Palaist calibre rīku "Rediģēt grāmatu" atkļūdošanas režīmā.

--exec-file, -e
    Palaist Python kodu failā.

--explode-book, -x
    Atvērt grāmatu norādītajā direktorijā. Izmantot: -x file.epub output_dir Eksportēt grāmatu un metadatu kolekciju kā HTML failu, ko jūs varat rediģēt, izmantojot standarta HTML rediģēšanas rīkus. Strādā ar EPUB, AZW3, HTMLZ un DOCX failiem.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Palaist grafisko saskarni atkļūdošanas režīmā. Atkļūdošanas informācija tiek izvadīta uz stdout ierīcēm stderr.

--gui-debug
    Palaist grafisko saskarni ar atkļūdošanas konsoli, rakstot atkļūdošanas žurnālu norādītajā mapē. Tikai iekšējai lietošanai; izmantojiet -g papildiespēju, lai palaistu grafisko saskarni atkļūdošanas režīmā.

--help, -h
    parādīt šo palīdzības paziņojumu un iziet

--implode-book, -i
    Izlabot iepriekš atvērto grāmatu. Izmanto: -i output_dir file.epub Importēt grāmatu no output_dir failiem, kas, iespējams, ir izveidoti, izmantojot iepriekšējo izsaukumu --explode-book. Noteikti norādiet to pašu faila tipu, kāds tika izmantots atverot.

--import-calibre-data
    Impotēt iepriekš eksportētos calibre datus

--inspect-mobi, -m
    Pārbaudīt MOBI datni(es) norādītajā(s) mapē(s)

--paths
    Izvades ceļi vajadzīgi, lai iestatītu Calibre vidi

--reinitialize-db
    Atkārtoti izveidot Calibre SQLite datubāzi norādītajā ceļā. Noderīgi, lai atjaunotu sabojātas datubāzes gadījumā.

--run-plugin, -r
    Palaist spraudni, kas nodrošina komandrindas saskarni. Piemēram: calibre-debug -r "Add Books" -- file1 --option1 Viss, kas atrodas aiz -- tiks nodots spraudnim kā argumenti.

--shutdown-running-calibre, -s
    Izsauc darbojošās Calibre procesa, ja tāds pastāv, apturēšanu. Ņemiet vērā - ja notiek darbu izpilde, tie tiks pārtraukti bez paziņojuma, tādēļ lietojiet ar piesardzību.

--subset-font, -f
    Iegult norādītā fonta apakškopu. Izmantojiet -- pēc šī papildiespējas, lai nodotu to tālāk apakškopu veidojošajai lietonei.

--test-build
    Pārbaudīt bināros moduļus laidienā

--version
    parādīt programmas versijas numuru un iziet

--viewer, -w
    Palaist e-grāmatu lasītāju atkļūdošanas režīmā

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal